<?php

namespace ISYS\UBRIR;

$curDir = dirname(__FILE__);
$moduleDir = realpath($curDir . '/../');

use UBRIR\CMS_PaymentCallback;

class OpencartCallback extends CMS_PaymentCallback
{
    private $controller;
    private $connector;

    function __construct(\Controller $controller)
    {
        $this->controller = $controller;

        $this->connector = new OpencartUBRiRConnector($controller);
        parent::__construct($this->connector);
    }

    public function OnPaymentApproved($shopOrderId, $sessionId)
    {
        $this->controller->load->model('checkout/order');

	    //Для режима совместимости между 2.3 и 3.0 в OpencartConnector'е есть соответствюущая обвзяка заменяющая $this->config->get('ubrr_order_confirm_status_id');
	    $order_confirm_status_id = $this->connector->GetOpenCartParam('ubrr_order_confirm_status_id');
        $this->controller->model_checkout_order->addOrderHistory($shopOrderId, $order_confirm_status_id);

        return true;
    }

    public function OnPaymentCanceled($shopOrderId, $sessionId)
    {
        return false;
    }

    public function OnPaymentDeclined($shopOrderId, $sessionId)
    {

        return false;
    }

}