<?php

//TODO: добавить уведомление о том что найден сгенерированный новый приватный ключ и ссылку на загрузку pem

namespace UBRIR;

class Diagnostics implements UsingNavigator
{
    public function __construct(InterfaceConnectionConfig $connector = null)
    {
        if ($connector !== null) {
            Core::GetCore()->PlugInCMSConnector($connector);
        }
    }

    public function GetDiagnosticPage()
    {
        $ubrirDiagnostic = $this;

        $view_data = Array(
            'ubrirDiagnostic' => $ubrirDiagnostic
        );

        $result = Core::GetCore()->IncludeTemplate('view.diagnostic', $view_data);

        return $result;
    }

    //region UsingNavigator
    private $cmsNavigator;

    public function GetNavigator()
    {
        return $this->cmsNavigator;
    }

    public function UseNavigator(CMSNavigator $cmsNavigator)
    {
        $this->cmsNavigator = $cmsNavigator;
    }

    //endregion

    public function isTestModeEnabled()
    {
        $core = Core::GetCore();
        $connector = $core->GetCMSConnector();
        return $connector->GetWorkMode()->IsTest();
    }

    public function GetShopId()
    {
        $core = Core::GetCore();
        $connector = $core->GetCMSConnector();

        $shopId = $connector->GetShopId();
        return $shopId;
    }

    public function GetCertificateCreateDate()
    {
        $core = Core::GetCore();
        $connector = $core->GetCMSConnector();
        $strCertificateCreationDate = $connector->GetCertificateCreateDate();

        return $strCertificateCreationDate;
    }

    public function isCertificateExpired()
    {
        $strCertificateCreationDate = $this->GetCertificateCreateDate();

        if ($strCertificateCreationDate) {
            $createDate = \DateTime::createFromFormat('d.m.Y', $strCertificateCreationDate);
            if ($createDate === false) {
                Core::GetCore()->Log('Дата выпуска сертификата из БД: ' . $strCertificateCreationDate);
                return false;
            }
            $expireDate = $createDate->modify('1 year')->modify('-1 month');
            $now = new \DateTime();

            if ($now->getTimestamp() > $expireDate->getTimestamp()) {
                return true;
            } else {
                return false;
            }
        }

        return true;
    }


    public function GetPublicCertificatePath()
    {
        $core = Core::GetCore();
        $publicCertificatePath = $core->getPublicCertificateFile();

        if (empty($publicCertificatePath)) {
            return false;
        }

        return $publicCertificatePath;
    }

    public function GetPrivateCertificatePath()
    {
        $core = Core::GetCore();
        $privateCertificatePath = $core->getPublicCertificateFile();

        if (empty($privateCertificatePath)) {
            return false;
        }

        return $privateCertificatePath;
    }

    public function GetValidPublicCertFileNames()
    {
        $core = Core::GetCore();
        $validPublicFilesArray = $core->Certificates_DefaultPublicFiles();

        $validFileNames = Array();
        foreach ($validPublicFilesArray as $file) {
            $validFileNames[] = basename($file);
        };

        return $validFileNames;
    }

    public function GetValidPrivateCertFileNames()
    {
        $core = Core::GetCore();
        $validPrivateFilesArray = $core->Certificates_DefaultPrivateFiles();

        $validFileNames = Array();
        foreach ($validPrivateFilesArray as $file) {
            $validFileNames[] = basename($file);
        };

        return $validFileNames;
    }


    public function GetPublicCertificateDir()
    {
        $core = Core::GetCore();
        $validPublicFilesArray = $core->Certificates_DefaultPublicFiles();

        $publicCertificateDir = dirname($validPublicFilesArray[0]);
        return $publicCertificateDir;
    }

    public function GetPrivateCertificateDir()
    {
        $core = Core::GetCore();
        $validPrivateFilesArray = $core->Certificates_DefaultPrivateFiles();

        $privateCertificateDir = dirname($validPrivateFilesArray[0]);
        return $privateCertificateDir;
    }

    public function GetLogErrorsCount()
    {
        $logErrors = 0;

        $core = Core::GetCore();
        $logData = $core->GetLog()->GetResultArray();
        $logRecords = $logData['log_records'];
        foreach ($logRecords as $record) {

            if ($record['errors'] !== '') {
                $logErrors += 1;
            }
        }

        return $logErrors;
    }

    public function isNewPrivateCertificateFound()
    {
        $newCertificates = new NewCertificates();
        $newCertificatePath = $newCertificates->getNewPrivateCertificateFilePath();

        return file_exists($newCertificatePath);
    }
}