<?php

namespace UBRIR;

abstract class SmartLogger
{
    public function Log($data)
    {
        if (!$this->useLogs) return false;

        if (!is_string($data))
            $data = print_r($data, true);
        else {
            if ($data === '[START]') {
                $backtrace = debug_backtrace(false, 7);

                $isAdminFunction = false;

                for ($i = 0; $i < count($backtrace); $i++) {
                    if ($backtrace[$i]['function'] === 'GetGatewayPanel') {
                        $isAdminFunction = true;
                        break;
                    }
                }

                if ($isAdminFunction) {
                    if ($backtrace[$i + 1]['function'] == '__call') {
                        //MagicMethods
                        $callerRecord = $backtrace[$i + 2];

                        $functionName = isset($callerRecord['args'][0]) ? $callerRecord['args'][0] : 'AdminMagic';
                    } else {
                        $callerRecord = $backtrace[$i + 1];
                        $functionName = $callerRecord['function'];
                    }

                    $callerMethodName = $functionName . ' in ' . $callerRecord['class'];
                } else {
                    for ($i = 0; $i < count($backtrace); $i++) {
                        if ($backtrace[$i]['class'] === 'UBRIR\GatewayInteractionPanel' && $backtrace[$i]['function'] === '__construct') {
                            $callerRecord = $backtrace[$i + 1];
                            break;
                        }
                    }
                    $callerMethodName = 'From: [' . $callerRecord['file'] . ':' . $callerRecord['line'] . ']';
                }

                $data .= $callerMethodName . ' ' . date('d.m.Y h:i:s');
            }
        }

        file_put_contents($this->logFile, $data . "\r\n", FILE_APPEND);

        return true;
    }

    public function LogErrors(DataContainer $response)
    {
        if (!$this->useLogs) return false;

        $arMessages = $response->getMessages();
        if (is_array($arMessages) && count($arMessages) > 0)
            foreach ($arMessages as $key => $list) {
                foreach ($list as $message) {
                    file_put_contents($this->logFile, "\t" . $key . ' ' . $message . "\r\n", FILE_APPEND);
                }
            }

        return true;
    }

    /**
     * Получаем последние записи из лога, разделяем их по началу лога [START] и выводим в порядке: сначала последние
     * @return array
     */
    public function GetDebugLogRecords()
    {
        if (file_exists($this->logFile)) {
            $file_size = filesize($this->logFile);
            $bytes = 170000;
            if ($file_size > $bytes) {
                $cut = $file_size - $bytes;
                $handle = fopen($this->logFile, "r");
                fseek($handle, $cut);
                $logString = fread($handle, $bytes);
            } else {
                $logString = file_get_contents($this->logFile);
            }
            //$logString = str_replace('[END]', '<br>Конец сеанса', $logString);

            $arLogRecords = explode('[START]', $logString);
            $arReversedLog = array_reverse($arLogRecords);
            array_pop($arReversedLog);
            return $arReversedLog;
        } else {
            return Array();
        }
    }

    public function GetLogFileUrl()
    {
        $logUrl = str_replace($_SERVER['DOCUMENT_ROOT'], '', $this->logFile);

        if ($logUrl[0] !== '/') $logUrl = '/' . $logUrl;

        $logUrl = 'http://' . $_SERVER['HTTP_HOST'] . $logUrl;

        return $logUrl;
    }

    public function CleanLog()
    {
        if (file_exists($this->logFile)) {
            return unlink($this->logFile);
        }
        return false;
    }

}