(function () {
    var moduleName = 'OrderList';

    var d = {
        'orderListPlace': null,
        'orderDetailsPlace': null
    };

    var UBRIR_Admin = window['UBRIR_Admin'];

    var OrderList = {};
    UBRIR_Admin[moduleName] = OrderList;

    OrderList['Init'] = function () {
        d.orderListPlace = document.querySelector('#orderListPlace');
        d.orderDetailsPlace = document.querySelector('#orderDetailsPlace'); //На момент инициализации админки - этого элемента еще нет

        OrderList.ActivateControls();
    };

    OrderList['ActivateControls'] = function () {
        d.orderDetailsPlace = document.querySelector('#orderDetailsPlace');

        var getOrderStatusButtons = document.querySelectorAll(".getOrderStatus");
        Array.prototype.forEach.call(getOrderStatusButtons, function (e) {
            e.onclick = OrderList.GetStatusClick;
        });

        var getOrderInfoButtons = document.querySelectorAll(".getOrderInfo");
        Array.prototype.forEach.call(getOrderInfoButtons, function (e) {
            e.onclick = OrderList.GetInfoClick;
        });
    };

    OrderList['GetStatusClick'] = function (e) {
        e.preventDefault();
        var button = e.currentTarget;
        var twpg_id = parseInt(button.getAttribute('data-twpg_id'));
        var parentTD = button.parentElement;

        button.remove(); //Удаляем чтобы второй раз не нажали
        UBRIR_Admin.Ajax('get_order_status', {'twpg_id': twpg_id}, function (response) {
                OrderList.GetOrderStatus_Success(response, parentTD);
            }
        );
    };

    OrderList['GetInfoClick'] = function (e) {
        e.preventDefault();
        var button = e.currentTarget;
        var twpg_id = parseInt(button.getAttribute('data-twpg_id'));
        var parentTD = button.parentElement;

        button.remove();
        UBRIR_Admin.Ajax('get_order_info', {'twpg_id': twpg_id}, function (response) {
            OrderList.GetOrderInfo_Success(response, parentTD);
        });
    };

    OrderList['ShowOrderResponse'] = function (order_details_html) {
        d.orderDetailsPlace.innerHTML = order_details_html;

        //ScrollTo
        UBRIR_Admin.Helpers.ScrollTo(d.orderDetailsPlace, 250);
    };

    OrderList['GetOrderStatus_Success'] = function (response, parentTD) {
        if (response.hasOwnProperty('success') && response['success'] === 1) {
            parentTD.innerHTML = '<span>' + response['label'] + '</span>';
        }
        else {
            parentTD.innerHTML = '<span class="error">' + response['label'] + '</span>';
        }

        if (response.hasOwnProperty('html') && response['html'].length > 0) {
            OrderList.ShowOrderResponse(response['html']);
        }
    };


    OrderList['GetOrderInfo_Success'] = function (response, parentTD) {
        if (typeof(response) === 'object') {
            if (!response.hasOwnProperty('success') || parseInt(response['success']) !== 1) {
                parentTD.innerHTML = '<span class="error">' + response['label'] + '</span>';
            }
            if (response.hasOwnProperty('html'))
                OrderList.ShowOrderResponse(response['html']);
        }
        else {
            if (typeof(response) === 'string') {
                parentTD.innerHTML = '';
                OrderList.ShowOrderResponse(response);
            }
        }
    };

    UBRIR_Admin.connectUbrirSubmodule(moduleName);
})();