<?php if (!empty($ajax_response)) {
	echo $ajax_response;
} else {
	/** @var \Language $lang * */
	?>
	<?php echo $header; ?>
	<?php echo $column_left; ?>

    <div id="content">
		<?
		foreach ($css_files as $src): ?>
            <link rel="stylesheet" type="text/css" href="<?= $src ?>"/>
		<? endforeach ?>

        <script type="text/javascript">
            window['ubrir_ajax_entry_point'] = '<?=$action?>';
            window['ubrir_ajax_additional_params'] = {'ajax_type': 'tab_refresh', 'tab_id': '#tab_ubrir_core_ajax'};
        </script>
		<?
		foreach ($js_files as $src): ?>
            <script src="<?= $src ?>"></script>
		<? endforeach ?>


        <div class="page-header">
            <div class="container-fluid">
                <div class="pull-right">
                    <button type="submit" form="form-pp-std-uk" data-toggle="tooltip"
                            title="<?php echo $lang->get('save') ?>"
                            class="btn btn-primary"><i class="fa fa-save"></i></button>
                    <a href="<?php echo $cancel; ?>" data-toggle="tooltip" title="<?php echo $lang->get('cancel') ?>"
                       class="btn btn-default"><i
                                class="fa fa-reply"></i></a></div>
                <h1><?php echo $lang->get('heading_title'); ?></h1>
                <ul class="breadcrumb">
					<?php foreach ($breadcrumbs as $breadcrumb) { ?>
                        <li><a href="<?php echo $breadcrumb['href']; ?>"><?php echo $breadcrumb['text']; ?></a></li>
					<?php } ?>
                </ul>
            </div>
        </div>

        <div class="container-fluid">
			<?php if (isset($error['error_warning'])) { ?>
                <div class="alert alert-danger"><i
                            class="fa fa-exclamation-circle"></i> <?php echo $error['error_warning']; ?>
                    <button type="button" class="close" data-dismiss="alert">&times;</button>
                </div>
			<?php } ?>
            <div class="panel panel-default">
                <div class="panel-heading">
                    <h3 class="panel-title"><i class="fa fa-pencil"></i></h3>
                </div>
                <div class="panel-body">
                    <ul class="nav nav-tabs">
                        <li class="active">
                            <a href="#tab-diagnostic" data-toggle="tab"><?php echo $lang->get('tab_general'); ?></a>
                        </li>
                        <li><a href="#tab-order_list" data-toggle="tab"><?php echo $lang->get('tab_order_list'); ?></a>
                        </li>
                        <li><a href="#tab-log" data-toggle="tab"><?php echo $lang->get('tab_log'); ?></a></li>
                        <li><a href="#tab-certificate_generate"
                               data-toggle="tab"><?php echo $lang->get('tab_certificate_generate'); ?></a></li>
                        <li>
                            <a href="#tab-certificate_upload"
                               data-toggle="tab"><?php echo $lang->get('tab_certificate_upload'); ?></a>
                        </li>
                        <li><a href="#tab-settings" data-toggle="tab"><?php echo $lang->get('tab_settings'); ?></a></li>
                        <li><a href="#tab-system_settings"
                               data-toggle="tab"><?php echo $lang->get('tab_system_settings'); ?></a></li>
                    </ul>
                    <div class="tab-content">
                        <div class="tab-pane active" id="tab-diagnostic">
                            <div class="ajaxPlace col-sm-10">
								<?= $diagnosticReport ?>
                            </div>
                        </div>
                        <div class="tab-pane" id="tab-order_list">
                            <div class="ajaxPlace col-sm-10"></div>
                        </div>
                        <div class="tab-pane" id="tab-log">
                            <div class="ajaxPlace col-sm-10"></div>
                        </div>
                        <div class="tab-pane" id="tab-certificate_generate">
                            <div class="col-sm-10 ajaxPlace"></div>
                        </div>
                        <div class="tab-pane" id="tab-certificate_upload">
                            <div class="col-sm-10 ajaxPlace"></div>
                        </div>

                        <div class="tab-pane" id="tab-settings">
                            <form class="form-horizontal disableAjax" id="form-pp-std-uk"
                                  action="<?php echo $action ?>" method="post"
                                  enctype="multipart/form-data">
                                <div class="form-group">
                                    <label class="col-sm-2 control-label"
                                           for="input-status"><?php echo $lang->get('status'); ?></label>
                                    <div class="col-sm-10">
                                        <select name="ubrr_status" id="input-status" class="form-control">
                                            <option value="1"<?php ($ubrr_status) ? ' selected="selected"' : '' ?>><?php echo $lang->get('enabled'); ?></option>
                                            <option value="0"<?php (!$ubrr_status) ? ' selected="selected"' : '' ?>><?php echo $lang->get('disabled'); ?></option>
                                        </select>
                                    </div>
                                </div>

                                <div class="form-group required">
                                    <label class="col-sm-2 control-label"
                                           for="ubrr_merchant_id"><?php echo $lang->get('ubrr_merchant_id'); ?></label>
                                    <div class="col-sm-10">
                                        <input type="text" name="ubrr_merchant_id" id="ubrr_merchant_id"
                                               value="<?php echo $ubrr_merchant_id; ?>"
                                               class="form-control"/>
										<?php if ($error_ubrr_merchant_id) { ?>
                                            <div class="text-danger"><?php echo $error_ubrr_merchant_id; ?></div>
										<?php } ?>
                                    </div>
                                </div>

                                <div class="form-group required">
                                    <label class="col-sm-2 control-label"
                                           for="ubrr_private_certificate_pass"><?= $lang->get('ubrr_certificate_pass') ?></label>
                                    <div class="col-sm-10">
                                        <input type="text" name="ubrr_private_certificate_pass"
                                               id="ubrr_private_certificate_pass"
                                               value="<?php echo $ubrr_private_certificate_pass; ?>"
                                               class="form-control"/>
                                    </div>
                                </div>
                                <div class="form-group">
                                    <label class="col-sm-2 control-label"
                                           for="input-canceled-reversal-status"><?php echo $lang->get('entry_order_status'); ?></label>
                                    <div class="col-sm-10">
                                        <select class="form-control" name="ubrr_order_status_id">
											<?php foreach ($order_statuses as $order_status) { ?>
												<?php if ($order_status['order_status_id'] == $ubrr_order_status_id) { ?>
                                                    <option value="<?php echo $order_status['order_status_id']; ?>"
                                                            selected="selected"><?php echo $order_status['name']; ?></option>
												<?php } else { ?>
                                                    <option value="<?php echo $order_status['order_status_id']; ?>"><?php echo $order_status['name']; ?></option>
												<?php } ?>
											<?php } ?>
                                        </select>
                                    </div>
                                </div>
                                <div class="form-group">
                                    <label class="col-sm-2 control-label"
                                           for="input-canceled-reversal-status"><?php echo $lang->get('ubrr_order_confirm_status_id'); ?></label>
                                    <div class="col-sm-10">
                                        <select class="form-control" name="ubrr_order_confirm_status_id">
											<?php foreach ($order_statuses as $order_status) { ?>
												<?php if ($order_status['order_status_id'] == $ubrr_order_confirm_status_id) { ?>
                                                    <option value="<?php echo $order_status['order_status_id']; ?>"
                                                            selected="selected"><?php echo $order_status['name']; ?></option>
												<?php } else { ?>
                                                    <option value="<?php echo $order_status['order_status_id']; ?>"><?php echo $order_status['name']; ?></option>
												<?php } ?>
											<?php } ?>
                                        </select>
                                    </div>
                                </div>
                            </form>
                        </div>
                        <div class="tab-pane" id="tab-system_settings">
                            <form class="disableAjax form-horizontal" action="<?php echo $action ?>" method="post"
                                  enctype="multipart/form-data"
                                  id="form-pp-std-uk2">
                                <div class="form-group required">
                                    <label for="ubrr_certificate_email_receivers"
                                           class="col-sm-2 control-label"><?php echo $lang->get('ubrr_certificate_email_receivers'); ?></label>
                                    <div class="col-sm-10">
                                        <input type="text" name="ubrr_certificate_email_receivers"
                                               id="ubrr_certificate_email_receivers"
                                               value="<?php echo $ubrr_certificate_email_receivers; ?>"
                                               class="form-control"/>
										<?php if ($error_ubrr_certificate_email_receivers) { ?>
                                            <div class="text-danger"><?php echo $error_ubrr_certificate_email_receivers; ?></div>
										<?php } ?>
                                    </div>
                                </div>
                                <div class="form-group required">
                                    <label class="col-sm-2 control-label"
                                           for="ubrr_test_mode"><?php echo $lang->get('ubrr_test_mode'); ?></label>
                                    <div class="col-sm-10">
                                        <input type="checkbox" <?= ($ubrr_test_mode == 1) ? 'checked=""' : '' ?>
                                               value="1" name="ubrr_test_mode" id="ubrr_test_mode"
                                               class="form-control"/>
                                    </div>
                                </div>
                            </form>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>
	<?php echo $footer; ?>
	<?
}
?>